Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.ListDocumentsException
                          com.google.appengine.api.search.ListException

All Implemented Interfaces:
  java.io.Serializable

    public class ListException

extends ListDocumentsException

Thrown to indicate that a search service failure occurred while performing a request to list elements of an index.

See Also:
  Serialized Form

Constructor Summary
`ListException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when processing a request to list elements of an index.
`ListException(java.lang.String message)` Constructs an exception when some error occurred in the search service when processing a request to list elements of an index.

Method Summary

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListException

    public ListException(java.lang.String message)

  Constructs an exception when some error occurred in the search service when processing a request to list elements of an index.

  Parameters:
    `message` - the error detail associated with the failure

### ListException

    public ListException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service when processing a request to list elements of an index.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD